<?php

namespace App\Enum;

enum PaymentProvider: int
{
    case MONNIFY = 1;
    case KORA = 2;
    case BONI = 3;
    case SH = 4;
    case PALMPAY = 5;

    public static function getName(int $value): string
    {
        return match ($value) {
            self::MONNIFY->value => 'Monnify',
            self::KORA->value => 'Kora',
            self::BONI->value => 'Boni',
            self::SH->value => 'SH',
            self::PALMPAY->value => 'Palmpay',
            default => 'Monnify',
        };
    }
}
